package org.barracudamvc.tutorials.comp;

import java.io.IOException;

import org.barracudamvc.core.comp.ViewContext;
import org.barracudamvc.core.util.dom.DefaultDOMLoader;
import org.barracudamvc.tutorials.xmlc.HelloWorld2b_headerHTML;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * Here's an example of HelloWorld using the BTemplate
 * component
 */
public class HelloWorld2bHeader {

    public static Node getNode(ViewContext vc) {
//csc_072604_2        return getNode(vc.getElementFactory().getDocument());
        return getNode(vc.getDocument());   //csc_072604_2
    }
    
    public static Node getNode(Document doc) {
//        XMLCFactory xmlcFactory = new XMLCStdFactory(doc.getClass().getClassLoader(), new StreamXMLCLogger());
//        Node footerNode = xmlcFactory.create(HelloWorld2b_headerHTML.class).getElementById("Footer");
        Document footer = null;
        //load the localized DOM template
        try {footer = DefaultDOMLoader.getGlobalInstance().getDOM(HelloWorld2b_headerHTML.class);}
        catch (IOException ioe) {/*logger.fatal ("Fatal Error loading DOM template:", ioe);*/}
        Node footerNode = ((HelloWorld2b_headerHTML)footer).getElementFooter();
        return doc.importNode(footerNode, true);
    }
}
